Bug 161038 - databases/py-pysqlite20: request for marking it DEPRECATED
Summary: databases/py-pysqlite20: request for marking it DEPRECATED
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcus Alves Grando
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-26 19:00 UTC by R.Mahmatkhanov
Modified: 2011-10-26 01:44 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description R.Mahmatkhanov 2011-09-26 19:00:25 UTC
Good day. 

There is no consumers left in the ports tree, that depend on this ports:

databases/py-pysqlite20
databases/py-pysqlite21
databases/py-pysqlite22
databases/py-pysqlite23
databases/py-PySQLite10 

So it now safe to mark it deprecated and remove in one month.

(Actually databases/py-axiom still dependes on py-pysqlite21, but it deprecated and will be removed on 2011-10-23).

I already wrote about this in more detail [1], but here is the cause of deprecation:
"""
They are unmaintained upstream, not existed on mastersites (besides FreeBSD ones) peaces of software, deprecated upstream, that is for python24 and less. All the modern software uses databases/py-sqlite3, that is a part of python distribution since 2.5.
"""

Port databases/py-PySQLite11 is still required for:
misc/diary-hercules [new version use sqlite3]
irc/py-supybot [implicit, for plugins]
I will handle them later. 

[1] http://lists.freebsd.org/pipermail/freebsd-ports/2011-August/069648.html
Comment 1 Edwin Groothuis freebsd_committer 2011-09-26 19:00:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mnag

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 R.Mahmatkhanov 2011-09-30 18:36:10 UTC
Ruslan Mahmatkhanov wrote on 26.09.2011 21:58:
> Port databases/py-PySQLite11 is still required for:
> misc/diary-hercules [new version use sqlite3]

Please note, that update for misc/diary-hercules was just committed, so 
we now may py-PySQLite11 to this list too.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 3 dfilter service freebsd_committer 2011-10-13 04:52:39 UTC
eadler      2011-10-13 03:52:30 UTC

  FreeBSD ports repository

  Modified files:
    databases/py-PySQLite10 Makefile 
    databases/py-PySQLite11 Makefile 
    databases/py-pysqlite20 Makefile 
    databases/py-pysqlite22 Makefile 
    databases/py-pysqlite23 Makefile 
  Log:
  - deprecate py-PySQLite10, py-PySQLite11, py-pysqlite20, py-pysqlite22, py-pysqlite23
  
  PR:             ports/161038
  Submitted by:   Ruslan Mahmatkhanov <cvs-src@yandex.ru>
  Approved by:    maintainer timeout (16 days)
  Approved by:    sahil (mentor)
  
  Revision  Changes    Path
  1.17      +3 -0      ports/databases/py-PySQLite10/Makefile
  1.20      +3 -0      ports/databases/py-PySQLite11/Makefile
  1.25      +3 -0      ports/databases/py-pysqlite20/Makefile
  1.27      +3 -0      ports/databases/py-pysqlite22/Makefile
  1.28      +3 -0      ports/databases/py-pysqlite23/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2011-10-18 23:09:11 UTC
eadler      2011-10-18 22:08:57 UTC

  FreeBSD ports repository

  Modified files:
    databases/py-pysqlite21 Makefile pkg-descr 
  Log:
  - deprecate py-pysqlite21
  - remove maintainer tag from pkg-descr
  
  PR:             ports/161038
  Submitted by:   Ruslan Mahmatkhanov <cvs-src@yandex.ru>
  Approved by:    maintainer timeout (19 days)
  Approved by:    bapt (mentor)
  
  Revision  Changes    Path
  1.26      +3 -0      ports/databases/py-pysqlite21/Makefile
  1.6       +0 -2      ports/databases/py-pysqlite21/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Wen Heping freebsd_committer 2011-10-26 01:44:35 UTC
State Changed
From-To: open->closed

Committed by eadler@.